Index: pro-violet-viettel/sourcecode/application/modules/frontend/models/user_model.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/models/user_model.php	(revision 598)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/models/user_model.php	(revision 599)
@@ -84,5 +84,5 @@
 		if (! is_null ( $collaborator ) || $collaborator != '') {
 			if (! $this->isExistcollaborator ( $collaborator )) {
-				$sms = "Khong tim thay cong tac vien nao co so dien thoai [" . $collaborator . "] tren soanbaigiang.smas.vn";
+				$sms = "Khong tim thay cong tac vien nao co so dien thoai [" . $collaborator . "] tren SBG Online.";
 				$collaboratorMsg = $status . '|'.$sms;
 				return $status . '|' . $sms;
@@ -101,5 +101,5 @@
 		if(!($data) || is_null($data))
 		{
-			$sms = "Tam thoi Qui vi khong the dang ky duoc. Xin thu lai sau. Cam on!";
+			$sms = "Tam thoi ban khong the dang ky duoc. Xin thu lai sau. Cam on!";
 			$collaboratorMsg = $status . '|'.$sms;
 			return $status . '|' . $sms;
@@ -119,13 +119,13 @@
 				$this->db->query ( 'UNLOCK TABLES' );
 				$this->db->insert ( 'tbluser', $user );
-				$sms = "Chuc mung Qui vi da dang ky thanh cong tai khoan Soan bai giang Online. Hay dang nhap vao soanbaigiang.smas.vn voi ten truy nhap " . $username . ", mat khau " . $password . " de su dung.";
+				$sms = "Chuc mung ban da dang ky thanh cong tai khoan SBG Online. Hay dang nhap vao soanbaigiang.smas.vn voi ten truy nhap " . $username . ", mat khau " . $password . " de su dung. Tran trong.";
 				$status = 1;
-				$collaboratorMsg = $status . '|'. 'So dien thoai '.$username.' da dang ky dich vu';
+				$collaboratorMsg = $status . '|'. 'Ban da dang ky thanh cong dich vu SBG Online cho so dien thoai '.$username;
 				break;
 			case 2 :
 			case 4 :
-				$sms = "So dien thoai cua Qui vi da duoc dang ky";
+				$sms = "So dien thoai cua ban da duoc dang ky tai khoan tren SBG Online, vui long kiem tra lai. Tran trong.";
 				$status = 0;
-				$collaboratorMsg = $status . '|'. 'So dien thoai '.$username.' da duoc dang ky';
+				$collaboratorMsg = $status . '|'. 'So dien thoai '.$username.' da duoc dang ky tai khoan tren SBG Online.';
 				break;
 			default :
@@ -192,5 +192,5 @@
 		
 		if ($checkSentNumber) {
-			$sms = "So Dien thoai " . $sentNumber . " da dang ky tren he thong SBG Online soanbaigiang.smas.vn nen Qui vi khong the doi sang so dien thoai nay duoc.";
+			$sms = "So Dien thoai " . $sentNumber . " da dang ky tren he thong SBG Online. Tran trong.";
 			$status = 0;
 			return $status . '|' . $sms;
@@ -204,5 +204,5 @@
 			$token = md5 ( $us_id . self::TOKENPW );
 			$isCorrectPassword = $this->checkPassword($src, $us_id, $token, $password);
-			if(!$isCorrectPassword) return '0|Mat khau cua qui vi khong dung';
+			if(!$isCorrectPassword) return '0|Mat khau cua ban khong dung. Vui long kiem tra lai.';
 
 			$data = $this->vservices->actionExecute ( 'update', array (
@@ -218,5 +218,5 @@
 			if(!($data) || is_null($data))
 			{
-				$sms = "Tam thoi Qui vi khong the thay doi duoc so dien thoai. Xin thu lai sau. Cam on!";
+				$sms = "Tam thoi ban khong the thay doi duoc so dien thoai. Xin thu lai sau. Cam on!";
 				$status = 0;
 				return $status . '|' . $sms;
@@ -230,13 +230,13 @@
 					$user ['cellphone'] = $sentNumber;
 					$this->updateUser ( $us_id, $user );
-					$sms = "Qui vi da doi so dien thoai tren soanbaigiang.smas.vn sang so dien thoai " . $sentNumber;
+					$sms = "Ban da doi thanh cong tai khoan " .$username. " tren SBG Online sang so dien thoai " . $sentNumber. ". Tran trong.";
 					$status = 1;
 					break;
 				case 2:
-					$sms = "So Dien thoai " . $sentNumber . " da dang ky tren he thong SBG Online soanbaigiang.smas.vn nen Qui vi khong the doi sang so dien thoai nay duoc.";
+					$sms = "So Dien thoai " . $sentNumber . " da dang ky tren he thong SBG Online. Tran trong";
 					$status = 0;
 					break;
 				case 5 :
-					$sms = "Tai khoan ".$username." chua dang ky tai khoan tren he thong SBG Online soanbaigiang.smas.vn";
+					$sms = "So dien thoai ".$username." chua dang ky tai khoan tren he thong SBG Online. Tran trong.";
 					$status = 0;
 					break;
@@ -247,5 +247,5 @@
 			}
 		} else {
-			$sms = "Tai khoan ".$username." chua dang ky tai khoan tren he thong SBG Online soanbaigiang.smas.vn";
+			$sms = "Tai khoan ".$username." chua dang ky tai khoan tren he thong SBG Online. Tran trong.";
 			$status = 0;
 		}
@@ -280,5 +280,5 @@
 			if(!($data) || is_null($data))
 			{
-				$sms = "Tam thoi Qui vi khong the lay lai hoac thay doi mat khau. Xin thu lai sau. Cam on!";
+				$sms = "Tam thoi ban khong the lay lai hoac thay doi mat khau. Xin thu lai sau. Cam on!";
 				$status = 0;
 				return $status . '|' . $sms;
@@ -291,12 +291,12 @@
 					$this->updateUser ( $us_id, $user );
 					if ($isForgotPassword) {
-						$sms = "Mat khau moi cua quy vi tren soanbaigiang.smas.vn la " . $pass;
+						$sms = "Mat khau moi cua ban tren SBG online la " . $pass. ". Tran trong.";
 					} else {
-						$sms = "Qui vi da doi thanh cong mat khau tren soanbaigiang.smas.vn.";
+						$sms = "Ban da doi thanh cong mat khau tren SBG Online. Mat khau moi cua ban la " .$password. ". Tran trong.";
 					}
 					$status = 1;
 					break;
 				case 5 :
-					$sms = "Tai khoan ".$username." chua dang ky tai khoan tren he thong SBG Online soanbaigiang.smas.vn";
+					$sms = "So dien thoai ".$username." chua dang ky tai khoan tren he thong SBG Online";
 					$status = 0;
 					break;
@@ -307,5 +307,5 @@
 			}
 		} else {
-			$sms = "Tai khoan ".$username." chua dang ky tai khoan tren he thong SBG Online soanbaigiang.smas.vn";
+			$sms = "So dien thoai ".$username." chua dang ky tai khoan tren he thong SBG Online";
 			$status = 0;
 		}
@@ -337,5 +337,5 @@
 		if (!$package)
 		{
-			$sms = "Goi dich vu qui vi dang ky khong ton tai";
+			$sms = "Khong co goi dich vu ban da dang ki tren SBG Online";
 			$status = 0;
 			return $status . '|' . $sms;
@@ -356,12 +356,12 @@
 				
 				$this->updateUser ( $us_id, $user );
-				$sms = "Chuc mung Qui vi da dang ky su dung Soan Bai giang truc tuyen tren soanbaigiang.smas.vn. Qui vi co the su dung dich vu den ngay " . date ( 'd/m/Y', strtotime ( $user ['expire_date'] ) );
+				$sms = "Chuc mung ban da dang ky thanh cong dich vu SBG Online. Thoi han su dung dich vu cua ban la ".date ( 'd/m/Y', strtotime ( $user ['expire_date'] ) ).". Tran trong." ;
 				$status = 1;
 			} else {
-				$sms = "Tai khoan cua qui vi khong du de dang ky su dung dich vu Soan Bai giang truc tuyen tren soanbaigiang.smas.vn. Hay nap tien va dang ky lai. Cam on!";
+				$sms = "Tai khoan cua ban khong du de dang ky dich vu SBG Online. Vui long nap tien va dang ky lai. Tran trong.";
 				$status = 0;
 			}
 		} else {
-			$sms = "Tai khoan [" . $username . "] chua dang ky tai khoan tren he thong SBG Online soanbaigiang.smas.vn.";
+			$sms = "So dien thoai " .$username. " chua dang ky tai khoan tren he thong SBG Online. De dang ky, soan tin SBG DK gui 8062 (500d).";
 			$status = 0;
 		}
@@ -378,8 +378,8 @@
 			$user ['updated_time'] = date ( 'Y-m-d H:i:s' );
 			$this->updateUser ( $us_id, $user );
-			$sms = "Qui vi da nap thanh cong " . $amount . " VND vao tai khoan " . $username . " tren soanbaigiang.smas.vn";
+			$sms = "Ban da nap thanh cong " . $amount . "VND vao tai khoan " . $username . " tren SBG Online. Tran trong.";
 			$status = 1;
 		} else {
-			$sms = "Tai khoan " . $username . " chua dang ky tai khoan tren he thong SBG Online soanbaigiang.smas.vn.";
+			$sms = "So dien thoai " .$username. " chua dang ky tai khoan tren he thong SBG Online. De dang ky, soan tin SBG DK gui 8062 (500d).";
 			$status = 0;
 		}
Index: pro-violet-viettel/sourcecode/application/modules/services/models/services_model.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/services/models/services_model.php	(revision 598)
+++ pro-violet-viettel/sourcecode/application/modules/services/models/services_model.php	(revision 599)
@@ -12,5 +12,5 @@
 
 if ( ! defined('_SBG_MO_SYNTAX_ERR')) define('_SBG_MO_SYNTAX_ERR', -1);
-if ( ! defined('_SBG_MO_SYNTAX_ERR_MSG')) define('_SBG_MO_SYNTAX_ERR_MSG', 'soanbaigiang.smas.vn khong co dich vu nay!');
+if ( ! defined('_SBG_MO_SYNTAX_ERR_MSG')) define('_SBG_MO_SYNTAX_ERR_MSG', 'SBG Online khong co dich vu nÃ y, ban vui long kiem tra lai. Tran trong.');
 
 if ( ! defined('_SBG_CARD_PAY_FAIL')) define('_SBG_CARD_PAY_FAIL', -1);
@@ -31,6 +31,6 @@
 if ( ! defined('_SBG_CHARGING_NUMBER_NOT_REGISTED')) define('_SBG_CHARGING_NUMBER_NOT_REGISTED', 501);
 
-if ( ! defined('_SBG_CHARGING_FAIL_NOT_ENOUGH_MSG')) define('_SBG_CHARGING_FAIL_NOT_ENOUGH_MSG', 'Tai khoan chinh cua so dien thoai :sendid: khong du de thuc hien lenh nap :amount: vao tai khoan :username: tren soanbaigiang.smas.vn');
-if ( ! defined('_SBG_CHARGING_FAIL_MORETHAN_LIMIT_MSG')) define('_SBG_CHARGING_FAIL_MORETHAN_LIMIT_MSG', 'So tien nap gioi han lon nhat la 50,000 vnd');
+if ( ! defined('_SBG_CHARGING_FAIL_NOT_ENOUGH_MSG')) define('_SBG_CHARGING_FAIL_NOT_ENOUGH_MSG', 'Tai khoan chinh cua ban khong du de thuc hien nap :amount: vao tai khoan :username: tren SBG Online.');
+if ( ! defined('_SBG_CHARGING_FAIL_MORETHAN_LIMIT_MSG')) define('_SBG_CHARGING_FAIL_MORETHAN_LIMIT_MSG', 'So tien nap lon nhat tren SBG Online la 50.000VND.');
 if ( ! defined('_SBG_CHARGING_FAIL_NOT_VIETTEL_MSG')) define('_SBG_CHARGING_FAIL_NOT_VIETTEL_MSG', 'Chi danh cho thue bao Viettel');
 
@@ -128,5 +128,5 @@
 				if ($case == _SBG_MO_REGISTER_FOR) {
 					if (!preg_match('/^([0-9]{10,11}$)$/', $aryContents[2])) {
-						$smsReturn = '0|So dien thoai khach hang khong hop le';
+						$smsReturn = '0|So dien thoai khach hang khong hop le. Vui long kiem tra lai.';
 						break;
 					}
@@ -150,5 +150,5 @@
 				
 				if (!preg_match('/^([0-9]{10,11}$)$/', $aryContents[2])) {
-					$smsReturn = '0|So dien thoai khach hang khong hop le';
+					$smsReturn = '0|So dien thoai khach hang khong hop le. Vui long kiem tra lai.';
 					break;
 				}
@@ -158,5 +158,7 @@
 				$smsReturn = $this->objUserModel->changeProfile($sentNumber, $oldPhoneNumber, $password);
 				$arySMS = explode ('|', $smsReturn);
-				$sendMT = $this->sendMT($this->formatPhoneNumber($oldPhoneNumber, -1), $arySMS[1]);
+				//$sendMT = $this->sendMT($this->formatPhoneNumber($oldPhoneNumber, -1), $arySMS[1]);
+				$sms = 'Ban da doi thanh cong so dien thoai tren SBG Online sang so dien thoai ' .$sentNumber. '. Tran trong.';
+				$sendMT = $this->sendMT($this->formatPhoneNumber($oldPhoneNumber, -1), $sms);
 				
 				break;
@@ -180,5 +182,7 @@
 					if ($case == _SBG_MO_PAY_TO_ACCOUNT_FOR) {
 						$arySmsReturn = explode ('|', $smsReturn);
-						$smsMT = $arySmsReturn[1] .' tu thue bao '. $sentNumber;
+						//$smsMT = $arySmsReturn[1] .' tu thue bao '. $sentNumber;
+						//$sendMT = $this->sendMT($this->formatPhoneNumber($userName, -1), $smsMT);
+						$smsMT = 'Ban da nap thanh cong ' .$amount . 'VND vao tai khoan ' .$username. ' tren SBG Online tu thue bao ' .$sentNumber. '. Tran trong.';
 						$sendMT = $this->sendMT($this->formatPhoneNumber($userName, -1), $smsMT);
 					}
@@ -188,6 +192,8 @@
 				}
 				else if ($result == _SBG_CHARGING_FAIL_NOT_ENOUGH) {
-					$aryPatterns = array ('/:sendid:/', '/:amount:/', '/:username:/');
-					$smsReturn = preg_replace($aryPatterns, array($sentNumber, $amount, $userName), _SBG_CHARGING_FAIL_NOT_ENOUGH_MSG);
+					//$aryPatterns = array ('/:sendid:/', '/:amount:/', '/:username:/');
+					//$smsReturn = preg_replace($aryPatterns, array($sentNumber, $amount, $userName), _SBG_CHARGING_FAIL_NOT_ENOUGH_MSG);
+					$aryPatterns = array ('/:amount:/', '/:username:/');
+					$smsReturn = preg_replace($aryPatterns, array($amount, $userName), _SBG_CHARGING_FAIL_NOT_ENOUGH_MSG);
 					$smsReturn = '0|'.$smsReturn;
 				}