Index: pro-violet-viettel/sourcecode/application/modules/frontend/views/home.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/views/home.php	(revision 620)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/views/home.php	(revision 625)
@@ -131,5 +131,5 @@
 	
 						<p>
-							Äá» ÄÄng kÃœ tÃ i khoáº£n tÃ i khoáº£n trÃªn há» thá»ng Soáº¡n BÃ i giáº£ng trá»±c tuyáº¿n (SBG Online), QuÃ­ vá» hÃ£y soáº¡n tin nháº¯n theo cÃº phÃ¡p:
+							Äá» ÄÄng kÃœ tÃ i khoáº£n tÃ i khoáº£n trÃªn há» thá»ng Soáº¡n BÃ i giáº£ng trá»±c tuyáº¿n (SBG Online), QuÃœ vá» hÃ£y soáº¡n tin nháº¯n theo cÃº phÃ¡p:
 						<strong>
 							SBG DK
@@ -140,11 +140,11 @@
 						</p>
 						<p>
-						Sau khi nháº­n ÄÆ°á»£c tin nháº¯n ÄÄng kÃ­ tÃ i khoáº£n cá»§a QuÃ­ vá», há» thá»ng SBG Online sáºœ gá»­i láº¡i thÃŽng tin ÄÄng nháº­p vÃ o Äiá»n thoáº¡i cá»§a QuÃ­ vá».
-						</p>
-						<p>
-						Náº¿u ÄÃ£ nháº­n ÄÆ°á»£c thÃŽng tin ÄÄng nháº­p há» thá»ng SBG Online gá»­i tá»i Äiá»n thoáº¡i cá»§a mÃ¬nh, QuÃ­ vá» hÃ£y Äiá»n thÃŽng tin vÃ  nháº¥n vÃ o <strong>ÄÄng nháº­p</strong> Äá» ÄÄng nháº­p vÃ o há» thá»ng.
-						</p>
-						<p>
-						Náº¿u cÃ³ vÆ°á»ng máº¯c gÃ¬ vá» viá»c ÄÄng kÃ­, QuÃ­ vá» hÃ£y gá»i sá» <strong>01662860000</strong> Äá» ÄÆ°á»£c há» trá»£.
+						Sau khi nháº­n ÄÆ°á»£c tin nháº¯n ÄÄng kÃ­ tÃ i khoáº£n cá»§a QuÃœ vá», há» thá»ng SBG Online sáºœ gá»­i láº¡i thÃŽng tin ÄÄng nháº­p vÃ o Äiá»n thoáº¡i cá»§a QuÃœ vá».
+						</p>
+						<p>
+						Náº¿u ÄÃ£ nháº­n ÄÆ°á»£c thÃŽng tin ÄÄng nháº­p há» thá»ng SBG Online gá»­i tá»i Äiá»n thoáº¡i cá»§a mÃ¬nh, QuÃœ vá» hÃ£y Äiá»n thÃŽng tin vÃ  nháº¥n vÃ o <strong>ÄÄng nháº­p</strong> Äá» ÄÄng nháº­p vÃ o há» thá»ng.
+						</p>
+						<p>
+						Náº¿u cÃ³ vÆ°á»ng máº¯c gÃ¬ vá» viá»c ÄÄng kÃ­, QuÃœ vá» hÃ£y gá»i sá» <strong>01662860000</strong> Äá» ÄÆ°á»£c há» trá»£.
 						</p>
 				</div>
@@ -164,5 +164,5 @@
 		      	<div class="alert alert-block alert-success">						
 							<p>
-								Äá» láº¥y láº¡i máº­t kháº©u cá»§a mÃ¬nh trÃªn há» thá»ng SBG Online, QuÃ­ vá» hÃ£y dÃ¹ng <strong>sá» Äiá»n thoáº¡i ÄÃ£ ÄÄng kÃ­ tÃ i khoáº£n</strong> vÃ  soáº¡n tin theo cÃº phÃ¡p: <strong>SBG MK</strong> gá»­i tá»i <strong>8062 </strong>(500Ä/tin).
+								Äá» láº¥y láº¡i máº­t kháº©u cá»§a mÃ¬nh trÃªn há» thá»ng SBG Online, QuÃœ vá» hÃ£y dÃ¹ng <strong>sá» Äiá»n thoáº¡i ÄÃ£ ÄÄng kÃ­ tÃ i khoáº£n</strong> vÃ  soáº¡n tin theo cÃº phÃ¡p: <strong>SBG MK</strong> gá»­i tá»i <strong>8062 </strong>(500Ä/tin).
 							</p>
 				</div>
Index: pro-violet-viettel/sourcecode/application/modules/frontend/views/lecture_editor.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/views/lecture_editor.php	(revision 620)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/views/lecture_editor.php	(revision 625)
@@ -82,5 +82,5 @@
                         LÆ°u Ãœ:
                         <ul> 
-                        <li>QuÃ­ vá» cáº§n Äiá»n Äáº§y Äá»§ Há» tÃªn chÃ­nh xÃ¡c báº±ng tiáº¿ng Viá»t cÃ³ dáº¥u, cÃ¡c tÃªn ÄÆ¡n vá» sáºœ khÃŽng ÄÆ°á»£c cháº¥p nháº­n. </li><li>ThÃŽng tin Há» tÃªn sáºœ khÃŽng thá» thay Äá»i sau khi QuÃ­ vá» ÄÄng kÃ­ Sá»­ dá»¥ng dá»ch vá»¥.</li>
+                        <li>QuÃœ vá» cáº§n Äiá»n Äáº§y Äá»§ Há» tÃªn chÃ­nh xÃ¡c báº±ng tiáº¿ng Viá»t cÃ³ dáº¥u, cÃ¡c tÃªn ÄÆ¡n vá» sáºœ khÃŽng ÄÆ°á»£c cháº¥p nháº­n. </li><li>ThÃŽng tin Há» tÃªn sáºœ khÃŽng thá» thay Äá»i sau khi QuÃœ vá» ÄÄng kÃ­ Sá»­ dá»¥ng dá»ch vá»¥.</li>
                         </ul>
 
Index: pro-violet-viettel/sourcecode/application/modules/frontend/views/package_register_modal.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/views/package_register_modal.php	(revision 620)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/views/package_register_modal.php	(revision 625)
@@ -10,6 +10,6 @@
                 <?php if ($can_buy == 0) { ?>
                     <div class="alert alert-block alert-success">	
-                        Sá» tiá»n trong TÃ i khoáº£n SBG Online hiá»n táº¡i cá»§a QuÃ­ vá» lÃ  <?php echo $user['acc_balanced']; ?> Äá»ng.<br />
-                        TÃ i khoáº£n chÃ­nh cá»§a quÃ­ vá» khÃŽng Äá»§ Äá» ÄÄng kÃ­ sá»­ dá»¥ng cÃŽng cá»¥ Soáº¡n BÃ i Giáº£ng trá»±c tuyáº¿n trÃªn soanbaigiang.smas.vn. HÃ£y náº¡p thÃªm tiá»n vÃ  ÄÄng kÃ­ láº¡i. Cáº£m Æ¡n!
+                        Sá» tiá»n trong TÃ i khoáº£n SBG Online hiá»n táº¡i cá»§a QuÃœ vá» lÃ  <?php echo $user['acc_balanced']; ?> Äá»ng.<br />
+                        TÃ i khoáº£n chÃ­nh cá»§a QuÃœ vá» khÃŽng Äá»§ Äá» ÄÄng kÃ­ sá»­ dá»¥ng cÃŽng cá»¥ Soáº¡n BÃ i Giáº£ng trá»±c tuyáº¿n trÃªn soanbaigiang.smas.vn. HÃ£y náº¡p thÃªm tiá»n vÃ  ÄÄng kÃ­ láº¡i. Cáº£m Æ¡n!
                     </div>
                 <?php } ?> 
@@ -44,5 +44,5 @@
                         LÆ°u Ãœ:
                         <ul> 
-                        <li>QuÃ­ vá» cáº§n Äiá»n Äáº§y Äá»§ Há» tÃªn chÃ­nh xÃ¡c báº±ng tiáº¿ng Viá»t cÃ³ dáº¥u, cÃ¡c tÃªn ÄÆ¡n vá» sáºœ khÃŽng ÄÆ°á»£c cháº¥p nháº­n. </li><li>ThÃŽng tin Há» tÃªn sáºœ khÃŽng thá» thay Äá»i sau khi QuÃ­ vá» ÄÄng kÃ­ Sá»­ dá»¥ng dá»ch vá»¥.</li>
+                        <li>QuÃœ vá» cáº§n Äiá»n Äáº§y Äá»§ Há» tÃªn chÃ­nh xÃ¡c báº±ng tiáº¿ng Viá»t cÃ³ dáº¥u, cÃ¡c tÃªn ÄÆ¡n vá» sáºœ khÃŽng ÄÆ°á»£c cháº¥p nháº­n. </li><li>ThÃŽng tin Há» tÃªn sáºœ khÃŽng thá» thay Äá»i sau khi QuÃœ vá» ÄÄng kÃ­ Sá»­ dá»¥ng dá»ch vá»¥.</li>
                         </ul>
 <?php } ?>
Index: pro-violet-viettel/sourcecode/application/modules/frontend/views/servicemodals.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/views/servicemodals.php	(revision 620)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/views/servicemodals.php	(revision 625)
@@ -10,5 +10,5 @@
 		      	<div class="alert alert-block alert-success">						
 							<p>
-								QuÃ­ vá» chÆ°a ÄÄng kÃ­ sá»­ dá»¥ng dá»ch vá»¥ Soáº¡n BÃ i giáº£ng online. QuÃ­ vá» cÃ³ thá» dÃ¹ng thá»­ dá»ch vá»¥ Soáº¡n BÃ i giáº£ng online trÆ°á»c khi ÄÄng kÃ­.
+								QuÃœ vá» chÆ°a ÄÄng kÃ­ sá»­ dá»¥ng dá»ch vá»¥ Soáº¡n BÃ i giáº£ng online. QuÃœ vá» cÃ³ thá» dÃ¹ng thá»­ dá»ch vá»¥ Soáº¡n BÃ i giáº£ng online trÆ°á»c khi ÄÄng kÃ­.
 							</p>
 						</div>
@@ -35,5 +35,5 @@
 		      	<div class="alert alert-block alert-success">						
 							<p>
-								QuÃ­ vá» chÆ°a ÄÄng kÃ­ sá»­ dá»¥ng dá»ch vá»¥ Soáº¡n BÃ i giáº£ng online. QuÃ­ vá» cÃ³ thá» dÃ¹ng thá»­ dá»ch vá»¥ Soáº¡n BÃ i giáº£ng online trÆ°á»c khi ÄÄng kÃ­.
+								QuÃœ vá» chÆ°a ÄÄng kÃ­ sá»­ dá»¥ng dá»ch vá»¥ Soáº¡n BÃ i giáº£ng online. QuÃœ vá» cÃ³ thá» dÃ¹ng thá»­ dá»ch vá»¥ Soáº¡n BÃ i giáº£ng online trÆ°á»c khi ÄÄng kÃ­.
 							</p>
 						</div>
@@ -59,5 +59,5 @@
 		      <div class="modal-body">
 		      	<h3>
-							TÃ i khoáº£n cá»§a quÃ­ vá» hiá»n táº¡i lÃ  1,000 Äá»ng.
+							TÃ i khoáº£n cá»§a QuÃœ vá» hiá»n táº¡i lÃ  1,000 Äá»ng.
 						</h3>
 						<h4 class="header blue bolder smaller">ÄÄng kÃœ dá»ch vá»¥</h4>
@@ -65,5 +65,5 @@
 		      	<div class="alert alert-block alert-success">						
 							<table class="table">
-								<caption>Má»i quÃ­ vá» chá»n cÃ¡c gÃ³i dá»ch vá»¥ sau:</caption>
+								<caption>Má»i QuÃœ vá» chá»n cÃ¡c gÃ³i dá»ch vá»¥ sau:</caption>
 								<tbody>
 									<tr>
@@ -134,5 +134,5 @@
 		      	<div class="alert alert-block alert-success">						
 							<p>
-								QuÃ­ vá» cáº§n Äiá»n Äáº§y Äá»§ Há» vÃ  tÃªn chÃ­nh xÃ¡c báº±ng tiáº¿ng Viá»t cÃ³ dáº¥u, cÃ¡c tÃªn ÄÆ¡n vá» sáºœ khÃŽng ÄÆ°á»£c cháº¥p nháº­n.
+								QuÃœ vá» cáº§n Äiá»n Äáº§y Äá»§ Há» vÃ  tÃªn chÃ­nh xÃ¡c báº±ng tiáº¿ng Viá»t cÃ³ dáº¥u, cÃ¡c tÃªn ÄÆ¡n vá» sáºœ khÃŽng ÄÆ°á»£c cháº¥p nháº­n.
 							</p>
 						</div>
@@ -176,5 +176,5 @@
 		      	<div class="alert alert-block alert-success">						
 							<p>
-								QuÃ­ vá» hÃ£y nháº­p thÃŽng tin cÃ¡ nhÃ¢n Äá» cÃ³ thá» sá»­ dá»¥ng dá»ch vá»¥.
+								QuÃœ vá» hÃ£y nháº­p thÃŽng tin cÃ¡ nhÃ¢n Äá» cÃ³ thá» sá»­ dá»¥ng dá»ch vá»¥.
 							</p>
 						</div>
Index: pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 620)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 625)
@@ -186,5 +186,5 @@
 											
 											<p>
-												QuÃ­ vá» cÅ©ng cÃ³ thá» thay Äá»i máº­t kháº©u báº±ng cÃ¡ch dÃ¹ng sá» Äiá»n thoáº¡i <strong><?php echo $username; ?></strong> vÃ  soáº¡n tin theo cÃº phÃ¡p: <strong>SBG MK [MatKhauMoi]</strong> gá»­i tá»i <strong>8062</strong> (500Ä/tin). 
+												QuÃœ vá» cÅ©ng cÃ³ thá» thay Äá»i máº­t kháº©u báº±ng cÃ¡ch dÃ¹ng sá» Äiá»n thoáº¡i <strong><?php echo $username; ?></strong> vÃ  soáº¡n tin theo cÃº phÃ¡p: <strong>SBG MK [MatKhauMoi]</strong> gá»­i tá»i <strong>8062</strong> (500Ä/tin). 
 											<p/>
 										</div>
@@ -238,5 +238,5 @@
                                             <p>
                                                 <span <?php if(!($is_viettel)) echo 'style="display: none;"'?> >Sá»­ dá»¥ng thuÃª bao <strong><?php echo @$username; ?></strong> soáº¡n tin nháº¯n: <strong>SBG NAP [SoTien] gá»­i 8062</strong>. </span><br/>
-                                                Náº¿u quÃ­ vá» sá»­ dá»¥ng thuÃª bao Viettel khÃ¡c thÃ¬ soáº¡n tin nháº¯n: <strong>SBG NAP [SoTien] <?php  echo $username; ?> gá»­i tá»i 8062</strong>.
+                                                Náº¿u QuÃœ vá» sá»­ dá»¥ng thuÃª bao Viettel khÃ¡c thÃ¬ soáº¡n tin nháº¯n: <strong>SBG NAP [SoTien] <?php  echo $username; ?> gá»­i tá»i 8062</strong>.
           
                                             </p>
@@ -257,5 +257,5 @@
                                         <h4 class="header blue bolder smaller">ÄÄng kÃœ / Gia háº¡n dá»ch vá»¥</h4>
 
-                                        <h5>Má»i quÃ­ vá» chá»n cÃ¡c gÃ³i dá»ch vá»¥ sau:</h5>
+                                        <h5>Má»i QuÃœ vá» chá»n cÃ¡c gÃ³i dá»ch vá»¥ sau:</h5>
                                         <div class="errors" id="package_register">
                                             
@@ -289,5 +289,5 @@
                                         <div class="alert alert-block alert-success">						
                                             <p>
-                                                QuÃ­ vá» cÅ©ng cÃ³ thá» sá»­ dá»¥ng sá» Äiá»n thoáº¡i <strong><?php echo $username;?></strong> vÃ  soáº¡n tin theo cÃº phÃ¡p: <strong>SBG VIP 1</strong> (hay VIP 3, VIP 6, VIP 12) <strong>gá»­i tá»i 8062</strong> (Há» thá»ng sáºœ trá»« tiá»n trÃªn tÃ i khoáº£n chÃ­nh cá»§a sá» Äiá»n thoáº¡i <strong><?php echo $username;?></strong>)
+                                                QuÃœ vá» cÅ©ng cÃ³ thá» sá»­ dá»¥ng sá» Äiá»n thoáº¡i <strong><?php echo $username;?></strong> vÃ  soáº¡n tin theo cÃº phÃ¡p: <strong>SBG VIP 1</strong> (hay VIP 3, VIP 6, VIP 12) <strong>gá»­i tá»i 8062</strong> (Há» thá»ng sáºœ trá»« tiá»n trÃªn tÃ i khoáº£n chÃ­nh cá»§a sá» Äiá»n thoáº¡i <strong><?php echo $username;?></strong>)
                                         </p>
                                         </div>
@@ -362,5 +362,5 @@
                 <div class="alert alert-block alert-success">						
                     <p>
-                        QuÃ­ vá» ÄÃ£ náº¡p thÃ nh cÃŽng <b>10.000 </b>VNÄ vÃ o tÃ i khoáº£n <b>0168942155</b>, tÃ i khoáº£n hiá»n táº¡i cá»§a quÃ­ vá» lÃ  <b>20.000 </b>VNÄ.
+                        QuÃœ vá» ÄÃ£ náº¡p thÃ nh cÃŽng <b>10.000 </b>VNÄ vÃ o tÃ i khoáº£n <b>0168942155</b>, tÃ i khoáº£n hiá»n táº¡i cá»§a QuÃœ vá» lÃ  <b>20.000 </b>VNÄ.
                     </p>
                 </div>
@@ -396,5 +396,5 @@
 				<div class="alert alert-block alert-success">						
 					<p>
-						QuÃ­ vá» cÃ³ thá» thay Äá»i Sá» Äiá»n thoáº¡i Äang sá»­ dá»¥ng báº±ng cÃ¡ch: TrÃªn sá» Äiá»n thoáº¡i má»i, quÃ­ vá» soáº¡n tin theo cÃº phÃ¡p: <strong>SBG DDT [SoDTCu] [MatKhau]</strong> gá»­i tá»i <strong>8062</strong> (500Ä/tin).
+						QuÃœ vá» cÃ³ thá» thay Äá»i Sá» Äiá»n thoáº¡i Äang sá»­ dá»¥ng báº±ng cÃ¡ch: TrÃªn sá» Äiá»n thoáº¡i má»i, QuÃœ vá» soáº¡n tin theo cÃº phÃ¡p: <strong>SBG DDT [SoDTCu] [MatKhau]</strong> gá»­i tá»i <strong>8062</strong> (500Ä/tin).
 					</p>
 				</div>
@@ -412,5 +412,5 @@
 			</div>
 			<div class="modal-body">
-				<div class="alert alert-block alert-success"><center>QuÃ­ vá» ÄÃ£ Äá»i máº­t kháº©u thÃ nh cÃŽng !</center></div>
+				<div class="alert alert-block alert-success"><center>QuÃœ vá» ÄÃ£ Äá»i máº­t kháº©u thÃ nh cÃŽng !</center></div>
 				<center><button class="btn btn-primary" data-dismiss="modal">ÄÃ³ng</button></center>
 			</div>
@@ -428,5 +428,5 @@
 			</div>
 			<div class="modal-body">
-				<div class="alert alert-block alert-success"><center>QuÃ­ vá» ÄÃ£ cáº­p nháº­t thÃŽng tin thÃ nh cÃŽng!</center></div>
+				<div class="alert alert-block alert-success"><center>QuÃœ vá» ÄÃ£ cáº­p nháº­t thÃŽng tin thÃ nh cÃŽng!</center></div>
 				<center><button id="close" class="btn btn-primary" data-dismiss="modal">ÄÃ³ng</button></center>
 			</div>
@@ -444,5 +444,5 @@
 			</div>
 			<div class="modal-body">
-				<div id="success_package_register_content" class="alert alert-block alert-success"><center>QuÃ­ vá» ÄÃ£ cáº­p nháº­t thÃŽng tin thÃ nh cÃŽng!</center></div>
+				<div id="success_package_register_content" class="alert alert-block alert-success"><center>QuÃœ vá» ÄÃ£ cáº­p nháº­t thÃŽng tin thÃ nh cÃŽng!</center></div>
 				<center><button id="package_register_finish_button" class="btn btn-primary" data-dismiss="modal">ÄÃ³ng</button></center>
 			</div>
@@ -460,5 +460,5 @@
 			</div>
 			<div class="modal-body">
-				<div id="success_charge_info" class="alert alert-block alert-success"><center>QuÃ­ vá» ÄÃ£ náº¡p thÃ nh cÃŽng [SoTien] vÃ o tÃ i khoáº£n <?php echo $username; ?>, tÃ i khoáº£n áº£o cá»§a quÃ­ vá» lÃ  [TaiKhoanAO]!</center></div>
+				<div id="success_charge_info" class="alert alert-block alert-success"><center>QuÃœ vá» ÄÃ£ náº¡p thÃ nh cÃŽng [SoTien] vÃ o tÃ i khoáº£n <?php echo $username; ?>, tÃ i khoáº£n áº£o cá»§a QuÃœ vá» lÃ  [TaiKhoanAO]!</center></div>
 				<center><button id="package_register_finish_button" data-dismiss="modal" class="btn btn-primary" >ÄÃ³ng</button></center>
 			</div>