Index: /pro-violet-viettel/sourcecode/application/libraries/vservices.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/libraries/vservices.php	(revision 628)
+++ /pro-violet-viettel/sourcecode/application/libraries/vservices.php	(revision 629)
@@ -57,7 +57,8 @@
 		if (count($aryParams) > 0) $this->_curlObj->post($aryParams);
 		
-		$result = $this->_curlObj->execute(); 
+		$result = $this->_curlObj->execute();
 		
-		write_file('log.txt', var_export($result, true)."\n".var_export($this->_apiUrl. $module .'/'.$action, true)."\n".var_export($aryParams, true));
+		$logMsg = date('YmdHis') .' - File: '. __FILE__ . ' - line:'. __LINE__ .' - API Result: '. var_export($result, true). ' - Action: '. var_export($this->_apiUrl. $module .'/'.$action, true) .' - PARAMS: '. .var_export($aryParams, true);
+		write_file('./log/apicalling.log', $logMsg, FOPEN_WRITE_CREATE);
 		
 		return $result;
Index: /pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 628)
+++ /pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 629)
@@ -194,11 +194,8 @@
                                     <form id="frm3" class="form-horizontal" role="form">
                                         <h4 class="header blue bolder smaller">ThÃŽng tin tÃ i khoáº£n</h4>
-										<div class="col-sm-6">
+										<div class="col-sm-12">
 											<h4>Sá» tiá»n trong tÃ i khoáº£n SBG Online: <b><span class="blue" id="topup-money"><?php echo number_format(@$acc_balanced, 0); ?> VNÄ <span></b></h4>
 
-                                        </div>
-										<div class="col-sm-6">
-											<h3>&nbsp; </h3>
-                                        </div>
+                                        </div>									
                                         <h4 class="header blue bolder smaller">Náº¡p tiá»n báº±ng tháº» cÃ o</h4>
                                         <div class="col-sm-8">
Index: /pro-violet-viettel/sourcecode/application/modules/services/models/services_model.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/services/models/services_model.php	(revision 628)
+++ /pro-violet-viettel/sourcecode/application/modules/services/models/services_model.php	(revision 629)
@@ -125,9 +125,4 @@
 		}
 		
-		if ($key == _SBG_MO_REGISTER || $key == _SBG_MO_PASSWORD_RECOVERY) {
-			$debugMsg = var_export($aryContent, TRUE);
-			write_file('regis_log', $debugMsg);
-		}
-			
 		$aryResult = (bool)$result ? array('case' => $key, 'content' => $aryContent):array('case' => $key);
 		return $aryResult;
@@ -144,5 +139,4 @@
 		$case = $aryMOAnalys['case'];
 		$aryContents = isset($aryMOAnalys['content']) ? $aryMOAnalys['content']: null;
-		$debugMsg .= var_export($aryMOAnalys);
 		$this->load->model('frontend/user_model', 'objUserModel');
 		$debugMsg .= $case;
@@ -163,5 +157,4 @@
 				
 				$sms = $this->objUserModel->register($userName, $collaborator, $collaboratorMsg);
-				write_file('mt_log', $collaborator);
 				if ($case == _SBG_MO_REGISTER_FOR) {
 					$smsReturn = $collaboratorMsg;
@@ -268,9 +261,4 @@
 		$result = $client->send($xml, $action);
 		
-		$debugMsg = 'Logged time: '. date('Y-m-d H:i:s') ."\n";
-		$debugMsg .=  'Send:'."\n" .$xml ."\n\n";
-		$debugMsg .= 'Result:'."\n". var_export($result, TRUE);
-		write_file('topup_log', $debugMsg);
-		
 		if ($client->fault) {
 			return _SBG_CARD_PAY_FAIL;
@@ -309,8 +297,5 @@
 		$client->operation = $action;
 		$result = $client->send($xml, $action);
-		$debugMsg = var_export($xml, TRUE);		
-		$debugMsg .= var_export($result, TRUE);
-		write_file('mt_log', $debugMsg);
-		
+
 		if ($client->fault) {
 			return _SBG_CHARGING_FAIL;
@@ -366,6 +351,4 @@
 		$result = $client->send($xml, $action);
 		
-		//write_file('mt_log', var_export($client->fault, true)."\n".var_export($xml, true));
-		
 		if ($client->fault || (int)$result['InsertMTResult'] != 1) {
 			return _SBG_SEND_MT_FAIL;
Index: /pro-violet-viettel/sourcecode/application/views/layout/frontend/sidebar.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/views/layout/frontend/sidebar.php	(revision 628)
+++ /pro-violet-viettel/sourcecode/application/views/layout/frontend/sidebar.php	(revision 629)
@@ -58,4 +58,8 @@
 					</nav>
 					
+					<div class="sidebar-collapse" id="sidebar-collapse">
+      					<i class="icon-double-angle-left" data-icon1="icon-double-angle-left" data-icon2="icon-double-angle-right"></i>
+     				</div>
+     				
 					<ul class="logo-group list-inline">
 						<li><img src="<?php echo $base_url;?>assets/img/logo_Violet.png" width="64" class="img-responsive"></li>
Index: /pro-violet-viettel/sourcecode/assets/css/custom.css
===================================================================
--- /pro-violet-viettel/sourcecode/assets/css/custom.css	(revision 628)
+++ /pro-violet-viettel/sourcecode/assets/css/custom.css	(revision 629)
@@ -10,4 +10,24 @@
 	margin-bottom: -2px;
 	white-space: nowrap;
+}
+
+.menu-min > nav > ul > li > a > span {
+	display: none;
+}
+.menu-min > .navbar-minimal > .navbar-menu > li > a {
+	padding: 16px 0 0 0;
+	margin-left: -6px
+}
+.menu-min > .navbar-minimal > .navbar-menu > li > a:hover {
+	color: #fff;
+	background-color: transparent;
+}
+
+.sidebar-collapse {
+	border-bottom: 0;
+	background-color: transparent;
+	text-align: center;
+	padding: 3px 0;
+	position: relative;
 }
 