Index: pro-violet-viettel/sourcecode/application/libraries/vservices.php
===================================================================
--- pro-violet-viettel/sourcecode/application/libraries/vservices.php	(revision 629)
+++ pro-violet-viettel/sourcecode/application/libraries/vservices.php	(revision 630)
@@ -46,7 +46,10 @@
 
 	public function actionExecute ($action, $aryParams = array(), $module = 'space') {
-		$this->_curlObj->create($this->_apiUrl. $module .'/'.$action);
+		$url = $this->_apiUrl. $module .'/'.$action;
+		
+		$this->_curlObj->create($url);
 		$this->_curlObj->option(CURLOPT_BUFFERSIZE, 10);
-		$this->_curlObj->options(array(CURLOPT_BUFFERSIZE => 10));
+		$this->_curlObj->option(CURLOPT_HEADER, 0);
+		$this->_curlObj->option(CURLOPT_FAILONERROR, FALSE);
 		
 		if ($this->_httpUser && $this->_httpPasswd) {
@@ -59,5 +62,5 @@
 		$result = $this->_curlObj->execute();
 		
-		$logMsg = date('YmdHis') .' - File: '. __FILE__ . ' - line:'. __LINE__ .' - API Result: '. var_export($result, true). ' - Action: '. var_export($this->_apiUrl. $module .'/'.$action, true) .' - PARAMS: '. .var_export($aryParams, true);
+		$logMsg = date('Y-m-d H:i:s') .' - File: '. __FILE__ . ' - line:'. __LINE__ .' - API Result: '. var_export($result, true). ' - Action: '. var_export($url, true) .' - PARAMS: '. var_export($aryParams, true)."\n";
 		write_file('./log/apicalling.log', $logMsg, FOPEN_WRITE_CREATE);
 		
Index: pro-violet-viettel/sourcecode/application/modules/frontend/views/lecture_editor.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/views/lecture_editor.php	(revision 629)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/views/lecture_editor.php	(revision 630)
@@ -4,8 +4,5 @@
 $this->load->view('layout/frontend/sidebar');
 ?>
-			<div class="main-container-inner">
-
 				<div class="main-content">
-
 					<div class="page-content no-padding">
 								<!-- PAGE CONTENT BEGINS -->
Index: pro-violet-viettel/sourcecode/application/modules/services/controllers/viettel.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/services/controllers/viettel.php	(revision 629)
+++ pro-violet-viettel/sourcecode/application/modules/services/controllers/viettel.php	(revision 630)
@@ -76,13 +76,7 @@
 				$pattern = '/<[^>]*[^\/]>/i';
 				$aryOutput = preg_split ($pattern, $soapOutput, -1, PREG_SPLIT_NO_EMPTY | PREG_SPLIT_DELIM_CAPTURE);
-		
-				$xml = '<S:Envelope xmlns:S="http://schemas.xmlsoap.org/soap/envelope/">
-						   <S:Body>
-						      <messageReceiverResponse xmlns="http://tempuri.org/">
-						         <return>'.$aryOutput[1].'</return>
-						      </messageReceiverResponse>
-						   </S:Body>
-						</S:Envelope>';
-		
+				$aryData = array();
+				$aryData['message'] = $aryOutput[1];
+				$xml = $this->load->view('mo', $aryData, TRUE);
 				header('Content-Type: text/xml; charset: utf-8');
 				echo $xml;
Index: pro-violet-viettel/sourcecode/application/modules/services/views/mo.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/services/views/mo.php	(revision 629)
+++ pro-violet-viettel/sourcecode/application/modules/services/views/mo.php	(revision 630)
@@ -1,16 +1,7 @@
-<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
-  <soap:Body>
-    <MOReceiver xmlns="http://tempuri.org/">
-      <username>sbg</username>
-      <password>sbg571285</password>    
-      <requestID>4</requestID>
-      <userID>841695061706</userID>
-      <receiverID>841695061706</receiverID>
-      <serviceID>8062</serviceID>
-      <commandCode>SBG</commandCode>
-      <contentType>0</contentType>
-      <info>SBG DK</info>
-      <receiveTime><?php echo date('Y-m-d H:i:s') ?></receiveTime>
-    </MOReceiver>
-  </soap:Body>
-</soap:Envelope>
+<S:Envelope xmlns:S="http://schemas.xmlsoap.org/soap/envelope/">
+	<S:Body>
+		<messageReceiverResponse xmlns="http://tempuri.org/">
+			<return><?php echo $message;?></return>
+		</messageReceiverResponse>
+	</S:Body>
+</S:Envelope>
Index: pro-violet-viettel/sourcecode/application/views/layout/frontend/sidebar.php
===================================================================
--- pro-violet-viettel/sourcecode/application/views/layout/frontend/sidebar.php	(revision 629)
+++ pro-violet-viettel/sourcecode/application/views/layout/frontend/sidebar.php	(revision 630)
@@ -3,28 +3,5 @@
 
 			<div class="main-container-inner">
-				<a class="menu-toggler" id="menu-toggler" href="#">
-					<span class="menu-text"></span>
-				</a>
-
 				<div class="sidebar sidebar-fixed" id="sidebar">
-
-					<div class="sidebar-shortcuts" id="sidebar-shortcuts">
-						<!--div class="sidebar-shortcuts-large" id="sidebar-shortcuts-large" style="line-height:normal">
-							<!--div data-percent="66%" class="progress progress-striped active" style="margin-bottom:0">
-								<div style="width:66%;" class="progress-bar"></div>
-							</div>
-							<span>66 GB / 100 GB</span>
-						</div-->
-
-						<div class="sidebar-shortcuts-mini" id="sidebar-shortcuts-mini">
-							<span class="btn btn-success"></span>
-
-							<span class="btn btn-info"></span>
-
-							<span class="btn btn-warning"></span>
-
-							<span class="btn btn-danger"></span>
-						</div>
-					</div><!-- #sidebar-shortcuts -->
 
 					<nav class="navbar navbar-minimal animate open" role="navigation" style="background:transparent">