Index: pro-violet-viettel/sourcecode/application/modules/frontend/views/lecture_editor.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/views/lecture_editor.php	(revision 630)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/views/lecture_editor.php	(revision 631)
@@ -16,7 +16,9 @@
 								<?php $flashVars.= '&appAddress='.$licflashVars['school'] ?>
  
-								<div class="embed-responsive embed-responsive-16by9">
-								  <embed
+								<div class="embed-responsive embed-responsive-4by3">
+								  <embed							  	  
+								  	  scale="showall"
 								  	  id="LectorEditorOnline"
+								  	  salign="t"
 								  	  name="LectorEditorOnline"								  	  
 									  class="embed-responsive-item" 
@@ -32,11 +34,8 @@
 			</div><!-- /.main-container-inner -->
 
-			<a href="#" id="btn-scroll-up" class="btn-scroll-up btn btn-sm btn-inverse">
+			<!-- <a href="#" id="btn-scroll-up" class="btn-scroll-up btn btn-sm btn-inverse">
 				<i class="icon-double-angle-up icon-only bigger-110"></i>
-			</a>
+			</a> -->
 		</div><!-- /.main-container -->
-
-                
-                
                 
 <div class="modal fade" id="update_user_info" tabindex="-1" role="dialog"aria-hidden="true">
Index: pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 630)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 631)
@@ -307,7 +307,7 @@
 </div><!-- /.main-container-inner -->
 
-<a href="#" id="btn-scroll-up" class="btn-scroll-up btn btn-sm btn-inverse">
+<!-- <a href="#" id="btn-scroll-up" class="btn-scroll-up btn btn-sm btn-inverse">
     <i class="icon-double-angle-up icon-only bigger-110"></i>
-</a>
+</a> -->
 </div><!-- /.main-container -->
 
Index: pro-violet-viettel/sourcecode/application/views/layout/frontend/footer.php
===================================================================
--- pro-violet-viettel/sourcecode/application/views/layout/frontend/footer.php	(revision 630)
+++ pro-violet-viettel/sourcecode/application/views/layout/frontend/footer.php	(revision 631)
@@ -45,50 +45,21 @@
 		<script type="text/javascript">
 			jQuery(function($){
-			
-			try {
-			  $(".dropzone").dropzone({
-			    paramName: "file", // The name that will be used to transfer the file
-			    maxFilesize: 0.5, // MB
-			  
-				addRemoveLinks : true,
-				dictDefaultMessage :
-				'<span class="bigger-150 bolder"><i class="icon-caret-right red"></i> KÃ©o tháº£ file</span>  Äá» táº£i lÃªn \
-				<span class="smaller-80 grey">(hoáº·c click)</span> <br /> \
-				<i class="upload-icon icon-cloud-upload blue icon-3x"></i>'
-			,
-				dictResponseError: 'Error while uploading file!',
-				
-				//change the previewTemplate to use Bootstrap progress bars
-				previewTemplate: "<div class=\"dz-preview dz-file-preview\">\n  <div class=\"dz-details\">\n    <div class=\"dz-filename\"><span data-dz-name></span></div>\n    <div class=\"dz-size\" data-dz-size></div>\n    <img data-dz-thumbnail />\n  </div>\n  <div class=\"progress progress-small progress-striped active\"><div class=\"progress-bar progress-bar-success\" data-dz-uploadprogress></div></div>\n  <div class=\"dz-success-mark\"><span></span></div>\n  <div class=\"dz-error-mark\"><span></span></div>\n  <div class=\"dz-error-message\"><span data-dz-errormessage></span></div>\n</div>"
-			  });
-			} catch(e) {
-			  alert('Dropzone.js does not support older browsers!');
-			}
-			
-			});
-
-			$('#tree2').ace_tree({
-				dataSource: treeDataSource2 ,
-				loadingHTML:'<div class="tree-loading"><i class="icon-refresh icon-spin blue"></i></div>',
-				'open-icon' : 'icon-folder-open',
-				'close-icon' : 'icon-folder-close',
-				'selectable' : false,
-				'selected-icon' : null,
-				'unselected-icon' : null
-			});
+				var check_menu = localStorage.getItem('menu-min');
+  				if (check_menu == "true") {ace.settings.sidebar_collapsed(true);}
+			})
 		</script>
-		</script>
-                <?php
-                if (isset($usjs))
-                {
-                foreach ($usjs as $file)
-                {
-                ?>
-                	<script src="<?php echo $base_url;?><?php echo $file?>"></script>
-                <?php
-                }
-                }
-                ?>
-		<script>
+		
+		<?php
+		if (isset($usjs))
+		{
+		foreach ($usjs as $file)
+		{
+		?>
+			<script src="<?php echo $base_url;?><?php echo $file?>"></script>
+		<?php
+		}
+		}
+		?>
+		
 	</body>
 </html>
Index: pro-violet-viettel/sourcecode/application/views/layout/frontend/header.php
===================================================================
--- pro-violet-viettel/sourcecode/application/views/layout/frontend/header.php	(revision 630)
+++ pro-violet-viettel/sourcecode/application/views/layout/frontend/header.php	(revision 631)
@@ -20,5 +20,5 @@
 		<script src="<?php echo $base_url;?>assets/js/ace-extra.min.js"></script>
 		<style type="text/css" media="screen">
-			.sidebar:before, .sidebar {background-color: transparent;}
+			/* .sidebar:before, .sidebar {background-color: transparent;} */
 			.icon-refresh-animate {
 				-animation: spin .7s infinite linear;
Index: pro-violet-viettel/sourcecode/application/views/layout/frontend/sidebar.php
===================================================================
--- pro-violet-viettel/sourcecode/application/views/layout/frontend/sidebar.php	(revision 630)
+++ pro-violet-viettel/sourcecode/application/views/layout/frontend/sidebar.php	(revision 631)
@@ -3,4 +3,7 @@
 
 			<div class="main-container-inner">
+				<a class="menu-toggler" id="menu-toggler" href="#">
+					<span class="menu-text"></span>
+				</a>
 				<div class="sidebar sidebar-fixed" id="sidebar">
 