Index: /pro-violet-viettel/sourcecode/application/language/message/messages_lang.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/language/message/messages_lang.php	(revision 635)
+++ /pro-violet-viettel/sourcecode/application/language/message/messages_lang.php	(revision 635)
@@ -0,0 +1,75 @@
+<?php
+// common
+$lang['_SBG_LOGIN_NAME_REQUIRED_MSG'] = 'TÃªn ÄÄng nháº­p khÃŽng ÄÆ°á»£c Äá» trá»ng';
+$lang['_SBG_PASSWORD_REQUIRED_MSG'] = 'Máº­t kháº©u khÃŽng ÄÆ°á»£c Äá» trá»ng';
+$lang['_SBG_FULLNAME_REQUIRED_MSG'] = 'Há» tÃªn khÃŽng ÄÆ°á»£c Äá» trá»ng';
+$lang['_SBG_EMAIL_REQUIRED_MSG'] = 'Email khÃŽng ÄÆ°á»£c Äá» trá»ng';
+$lang['_SBG_PHONE_REQUIRED_MSG'] = 'Sá» Äiá»n thoáº¡i khÃŽng ÄÆ°á»£c Äá» trá»ng';
+$lang['_SBG_LOGIN_NAME_DUPLICATE_MSG'] = 'TÃªn ÄÄng nháº­p ÄÃ£ ÄÆ°á»£c sá»­ dá»¥ng';
+$lang['_SBG_PHONE_DUPLICATE_MSG'] = 'Sá» Äiá»n thoáº¡i ÄÃ£ ÄÆ°á»£c sá»­ dá»¥ng';
+$lang['_SBG_PASSWORD_CONFIRM_MSG'] = 'Máº­t kháº©u pháº£i trÃ¹ng nhau';
+$lang['_SBG_PHONE_FORMAT_ERROR_MSG'] = 'Sá» Äiá»n thoáº¡i khÃŽng ÄÃºng Äá»nh dáº¡ng';
+$lang['_SBG_EMAIL_FORMAT_ERROR_MSG'] = 'Email khÃŽng ÄÃºng Äá»nh dáº¡ng';
+$lang['_SBG_OLD_PASSWORD_FAIL_MSG'] = 'Máº­t kháº©u khÃŽng ÄÃºng';
+$lang['_SBG_PASSWORD_DUPLICATE_MSG'] = 'Máº­t kháº©u má»i trÃ¹ng máº­t kháº©u cÅ©';
+$lang['_SBG_REGISTER_VIP_FULLNAME_REQUIRED_MSG'] = 'Vui lÃ²ng nháº­p há» tÃªn Äáº§y Äá»§ tiáº¿ng Viá»t';
+$lang['_SBG_REGISTER_VIP_SCHOOL_REQUIRED_MSG'] = 'TÃªn ÄÆ¡n vá» khÃŽng ÄÆ°á»£c Äá» trá»ng';
+
+// admin
+$lang['_SBG_ADMIN_LOGIN_FAIL_MSG'] = 'Sai username hoáº·c password!';
+$lang['_SBG_ADMIN_LOGIN_NAME_REQUIRED_MSG'] = 'ChÆ°a nháº­p tÃ i khoáº£n admin';
+$lang['_SBG_ADMIN_PASSWORD_REQUIRED_MSG'] = 'Vui lÃ²ng nháº­p máº­t kháº©u';
+
+// frontend
+$lang['_SBG_USER_LOGIN_NAME_REQUIRED_MSG'] = 'Vui lÃ²ng nháº­p tÃ i khoáº£n hoáº·c sá» Äiá»n thoáº¡i!';
+$lang['_SBG_USER_LOGIN_PASSWORD_REQUIRED_MSG'] = 'Vui lÃ²ng nháº­p máº­t kháº©u!';
+$lang['_SBG_USER_LOGIN_FAIL_MSG'] = 'ThÃŽng tin ÄÄng nháº­p khÃŽng chÃ­nh xÃ¡c!';
+$lang['_SBG_USER_REGISTER_MSG'] = '<p>Äá» ÄÄng kÃœ tÃ i khoáº£n tÃ i khoáº£n trÃªn há» thá»ng Soáº¡n BÃ i giáº£ng trá»±c tuyáº¿n (SBG Online), QuÃœ vá» hÃ£y soáº¡n tin nháº¯n theo cÃº phÃ¡p: <strong>SBG DK</strong> gá»­i tá»i<strong> 8062</strong> (500Ä/tin).</p>
+								<p>Sau khi nháº­n ÄÆ°á»£c tin nháº¯n ÄÄng kÃ­ tÃ i khoáº£n cá»§a QuÃœ vá», há» thá»ng SBG Online sáºœ gá»­i láº¡i thÃŽng tin ÄÄng nháº­p vÃ o Äiá»n thoáº¡i cá»§a QuÃœ vá».</p>
+								<p>Náº¿u ÄÃ£ nháº­n ÄÆ°á»£c thÃŽng tin ÄÄng nháº­p há» thá»ng SBG Online gá»­i tá»i Äiá»n thoáº¡i cá»§a mÃ¬nh, QuÃœ vá» hÃ£y Äiá»n thÃŽng tin vÃ  nháº¥n vÃ o <strong>ÄÄng nháº­p</strong> Äá» ÄÄng nháº­p vÃ o há» thá»ng.</p>
+								<p>Náº¿u cÃ³ vÆ°á»ng máº¯c gÃ¬ vá» viá»c ÄÄng kÃ­, QuÃœ vá» hÃ£y gá»i sá» <strong>01662860000</strong> Äá» ÄÆ°á»£c há» trá»£.</p>';
+$lang['_SBG_USER_PASSWORD_RECOVERY_MSG'] = '<p>Äá» láº¥y láº¡i máº­t kháº©u cá»§a mÃ¬nh trÃªn há» thá»ng SBG Online, QuÃœ vá» hÃ£y dÃ¹ng <strong>sá» Äiá»n thoáº¡i ÄÃ£ ÄÄng kÃ­ tÃ i khoáº£n</strong> vÃ  soáº¡n tin theo cÃº phÃ¡p: <strong>SBG MK</strong> gá»­i tá»i <strong>8062 </strong>(500Ä/tin).</p>';
+$lang['_SBG_USER_PASSWORD_CHANGE_REQUIRED_MSG'] = 'Máº­t kháº©u Ã­t nháº¥t lÃ  6 kÃ­ tá»±, vÃ  chá» chá»©a cÃ¡c kÃ­ tá»± sá» hoáº·c chá»¯, <br> khÃŽng chá»©a khoáº£ng tráº¯ng vÃ  khÃŽng chá»©a kÃœ tá»± Äáº·c biá»t!';
+$lang['_SBG_USER_PHONENUM_CHANGE_MSG'] = '<p>QuÃœ vá» cÃ³ thá» thay Äá»i Sá» Äiá»n thoáº¡i Äang sá»­ dá»¥ng báº±ng cÃ¡ch: TrÃªn sá» Äiá»n thoáº¡i má»i, QuÃœ vá» soáº¡n tin theo cÃº phÃ¡p: <strong>SBG DDT [SoDTCu] [MatKhau]</strong> gá»­i tá»i <strong>8062</strong> (500Ä/tin).</p>';
+$lang['_SBG_USER_UNREGISTERING_SERVICE_MSG'] = 'QuÃœ vá» chÆ°a ÄÄng kÃ­ sá»­ dá»¥ng dá»ch vá»¥ Soáº¡n BÃ i giáº£ng online. QuÃœ vá» cÃ³ thá» dÃ¹ng thá»­ dá»ch vá»¥ Soáº¡n BÃ i giáº£ng online trÆ°á»c khi ÄÄng kÃ­.';
+
+$lang['_SBG_ACC_BALANCE_LESS_PACKAGE_PRICE_MSG'] = 'Sá» tiá»n trong TÃ i khoáº£n SBG Online hiá»n táº¡i cá»§a QuÃœ vá» lÃ  :acc_balanced: Äá»ng.<br /> Äá» ÄÄng kÃ­ Sá»­ dá»¥ng dá»ch vá»¥ Soáº¡n BÃ i giáº£ng trá»±c tuyáº¿n, QuÃœ vá» cáº§n náº¡p thÃªm tiá»n vÃ o tÃ i khoáº£n.';
+$lang['_SBG_REGISTER_VIP_SUCCESS_MSG'] = 'QuÃœ vá» ÄÃ£ ÄÄng kÃ­ sá»­ dá»¥ng CÃŽng cá»¥ Soáº¡n BÃ i giáº£ng trá»©c tuyáº¿n. QuÃœ vá» ÄÆ°á»£c sá»­ dá»¥ng dá»ch vá»¥ Äáº¿n háº¿t ngÃ y :period:';
+$lang['_SBG_CHARGING_FROM_CARD_SUCCESS_MSG'] = 'QuÃœ vá» ÄÃ£ náº¡p thÃ nh cÃŽng :amount: VNÄ vÃ o tÃ i khoáº£n :username:, tÃ i khoáº£n áº£o cá»§a QuÃœ vá» lÃ  :acc_balanced: VNÄ';
+$lang['_SBG_CHARGING_FROM_CARD_LOCKED_MSG'] = 'QuÃœ vá» ÄÃ£ nháº­p sai thÃŽng tin tháº» cÃ o :maxReach: láº§n liÃªn tiáº¿p.<br />Xin chá» :timeToUnlock: phÃºt sau Äá» thao tÃ¡c láº¡i!';
+$lang['_SBG_CHARGING_FROM_CARD_FAIL_MSG'] = 'MÃ£ tháº» hoáº·c Serial khÃŽng ÄÃºng hoáº·c ÄÃ£ ÄÆ°á»£c sá»­ dá»¥ng. QuÃœ vá» vui lÃ²ng kiá»m tra láº¡i!';
+
+// mo
+
+$lang['_SBG_MO_SYNTAX_ERR_MSG'] = 'SBG Online khong co dich vu nay, ban vui long kiem tra lai. Tran trong';
+$lang['_SBG_MO_REGISTER_DISCONTINUE_MSG'] = 'Tam thoi ban khong the dang ky duoc. Xin thu lai sau. Cam on!';
+$lang['_SBG_MO_PHONENUM_CHANGE_DISCONTINUE_MSG'] = 'Tam thoi ban khong the thay doi duoc so dien thoai. Xin thu lai sau. Cam on!';
+$lang['_SBG_MO_PASSWORD_CHANGE_DISCONTINUE_MSG'] = 'Tam thoi ban khong the lay lai hoac thay doi mat khau. Xin thu lai sau. Cam on!';
+
+$lang['_SBG_MO_COLLABORATOR_NOT_FOUND_MSG'] = 'Khong tim thay cong tac vien nao co so dien thoai :collaborator: tren SBG Online.';
+$lang['_SBG_MO_COLLABOLATOR_REGISTER_DUPLICATE_MSG'] = 'So dien thoai :username: da duoc dang ky tai khoan tren SBG Online.';
+$lang['_SBG_MO_COLLABOLATOR_REGISTER_SUCCESS_MSG'] = 'Ban da dang ky thanh cong dich vu SBG Online cho so dien thoai :username:';
+
+$lang['_SBG_MO_USER_REGISTER_SUCCESS_MSG'] = 'Chuc mung ban da dang ky thanh cong tai khoan SBG Online. Hay dang nhap vao soanbaigiang.smas.vn voi ten truy nhap :username:, mat khau :password: de su dung. Tran trong.';
+$lang['_SBG_MO_USER_REGISTER_DUPLICATE_MSG'] = 'So dien thoai cua ban da duoc dang ky tai khoan tren SBG Online, vui long kiem tra lai. Tran trong.';
+$lang['_SBG_MO_USER_PHONENUM_CHANGE_DUPLICATE_MSG'] = 'So dien thoai :sentNumber: da dang ky tai khoan tren he thong SBG Online. Tran trong.';
+$lang['_SBG_MO_USER_PHONENUM_CHANGE_INCORRECT_PASSWORD_MSG'] = 'Mat khau cua ban khong dung. Vui long kiem tra lai.';
+$lang['_SBG_MO_USER_NEW_PHONENUM_CHANGE_SUCCESS_MSG'] = 'Ban da doi thanh cong tai khoan :username: tren SBG Online sang so dien thoai :sentNumber:. Tran trong.';
+$lang['_SBG_MO_USER_OLD_PHONENUM_CHANGE_SUCCESS_MSG'] = 'Ban da doi thanh cong so dien thoai tren SBG Online sang so dien thoai :sentNumber:. Tran trong.';
+$lang['_SBG_MO_USER_PHONENUM_NOT_REGISTER_MSG'] = 'So dien thoai :username: chua dang ky tai khoan tren he thong SBG Online. Tran trong.';
+$lang['_SBG_MO_USER_PASSWORD_RECOVERY_MSG'] = 'Mat khau moi cua ban tren SBG online la :pass:. Tran trong.';
+$lang['_SBG_MO_USER_PASSWORD_CHANGE_SUCCESS_MSG'] = 'Ban da doi thanh cong mat khau tren SBG Online. Mat khau moi cua ban la :password:. Tran trong.';
+
+$lang['_SBG_MO_USER_REGISTER_VIP_NOT_FOUND_MSG'] = 'Khong co goi dich vu ban da dang ki tren SBG Online';
+$lang['_SBG_MO_USER_REGISTER_VIP_SUCCESS_MSG'] = 'Chuc mung ban da dang ky thanh cong dich vu SBG Online. Thoi han su dung dich vu cua ban la :period:. Tran trong.';
+$lang['_SBG_MO_USER_REGISTER_VIP_FAIL_NOT_ENOUGH_MSG'] = 'Tai khoan cua ban khong du de dang ky dich vu SBG Online. Vui long nap tien va dang ky lai. Tran trong.';
+
+$lang['_SBG_MO_PAY_TO_ACCOUNT_SUCCESS_MSG'] = 'Ban da nap thanh cong :amount: VND vao tai khoan :username: tren SBG Online. Tran trong.';
+$lang['_SBG_MO_PAY_TO_ACCOUNT_FOR_MSG'] = 'Ban da nap thanh cong :amount: VND vao tai khoan :username: tren SBG Online tu thue bao :sentNumber:. Tran trong.';
+$lang['_SBG_MO_ACCOUNT_NOT_FOUND_MSG'] = 'So dien thoai :username: chua dang ky tai khoan tren he thong SBG Online. De dang ky, soan tin SBG DK gui 8062 (500d).';
+$lang['_SBG_MO_CHARGING_FAIL_NOT_ENOUGH_MSG'] = 'Tai khoan chinh cua ban khong du de thuc hien nap :amount: vao tai khoan :username: tren SBG Online.';
+$lang['_SBG_MO_CHARGING_FAIL_MORETHAN_LIMIT_MSG'] = 'So tien nap lon nhat tren SBG Online la 50.000VND.';
+$lang['_SBG_MO_CHARGING_FAIL_NOT_VIETTEL_MSG'] = 'Chuc nang nap tien qua SMS cua SBG Online chi ap dung cho thue bao Viettel';
+$lang['_SBG_MO_CHARGING_FAIL_MSG'] = 'Loi, khong thanh toan duoc tu tai khoan goc';
+$lang['_SBG_MO_AMOUNT_WRONG_FORMAT_MSG'] = 'So tien nap khong hop le. Vui long kiem tra lai.';
+$lang['_SBG_MO_PHONENUM_WRONG_FORMAT_MSG'] = 'So dien thoai khach hang khong hop le. Vui long kiem tra lai';